<template>
  <div>
    <div v-if="sortSwitch === 'list'">
      <v-container fluid>
        <v-data-table
          v-model="listItemsSelected"
          :headers="itemsHeader"
          :items="listItems"
          item-key="id"
          hide-default-footer
          elevation="1"
          show-select
          @click:row="getItemsSelected = $event"
        >
          <template v-slot:header.data-table-select="{ on, props }">
              
            <v-simple-checkbox color="primary" :ripple="false" v-bind="props" v-on="on"></v-simple-checkbox>
          </template>
          
          <template v-slot:item.data-table-select="{ isSelected, select}" class="">
              <label class="size-simplecheckbox">
            <v-simple-checkbox
              color="primary"
              :ripple="false"
              :value="isSelected"
              @input="select($event)"
            ></v-simple-checkbox>
              </label>
          </template>
          <template v-slot:item.icon="props">
            <v-icon color="yellow lighten-2">mdi-folder</v-icon>
          </template>
        </v-data-table>
      </v-container>
    </div>
    <div v-else-if="sortSwitch === 'tiles'">
      <v-container fluid>
        <v-row no-gutters>
          <v-col
            xs="4"
            sm="4"
            md="3"
            lg="2"
            v-for="item in listItems"
            :key="item.name"
            class="pa-1"
          >
            <v-hover v-slot:default="{ hover }">
              <v-card tile elevation="0">
                <label v-if="checkHover(item.id) ? hover=true:hover" class="set-position">
                  <div class="pretty p-icon p-round size location">
                    <input
                      type="checkbox"
                      :id="item.id"
                      v-model.lazy="listItemsSelected"
                      :value="item"
                    />
                    <span class="state p-success">
                      <i class="icon mdi mdi-check"></i>
                      <label></label>
                    </span>
                  </div>
                </label>
                <div class="d-flex flex-column align-center hover-underline">
                  <a class="mt-6 d-flex flex-column align-center justify-center">
                    <img
                      class="ma-auto set-index"
                      src="~assets/images/icon.png"
                      width="96px"
                      alt="logo"
                    />
                    <div class="justify-center black--text set-index">{{ item.name }}</div>
                  </a>
                  <div class="mb-3 set-index">{{ item.modified }}</div>
                </div>
              </v-card>
            </v-hover>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
  data: () => ({
    list: []
  }),
  computed: {
    ...mapGetters([
      "listItems",
      "itemsHeader",
      "listItemsChecked",
      "sortSwitch"
    ]),
    listItemsSelected: {
      get() {
        return this.$store.getters.listItemsSelected;
      },
      set(value) {
        this.$store.dispatch("updateItemsSelected", value);
      }
    },
    getItemsSelected: {
      get() {
        return this.$store.getters.listItemsSelected;
      },
      set(e) {
        const get = [
          {
            id: e.id,
            name: e.name,
            dateCreate: e.dateCreate,
            modified: e.modified,
            shared: e.shared,
            size: e.size,
            sta: e.sta
          }
        ];
        this.$store.dispatch("updateItemsSelected", get);
      }
    }
  },
  methods: {
    checkHover: function(id) {
      return this.listItemsChecked.includes(id);
    },
    test: function(e) {
      console.log(e);
    }
  }
};
</script>

<style>
.set-index {
  z-index: 1;
}
.set-position {
  display: block;
  position: absolute;
  top: 0px;
  background-color: #e8eaf6;
  width: 100%;
  height: 100%;
  opacity: 0.6;
}
.hover-underline a:hover {
  text-decoration: #000 underline;
}
.location {
  float: right;
  font-size: 20px;
  margin-top: 4px;
  margin-right: 4px;
  background-color: white;
}
.size {
  width: 22px;
  height: 19px;
  border-radius: 50%;
}

</style>